%define	upstream_name	 PAR
%define upstream_version 1.020

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Perl Archive Toolkit
License:    Artistic
Group:      Development/Perl
Url:        http://par.perl.org/
Source0:    https://cpan.metacpan.org/modules/by-module/PAR/%{upstream_name}-%{upstream_version}.tar.gz
BuildArch:  noarch

BuildRequires: perl(Archive::Zip) >= 1.0.0
BuildRequires: perl(AutoLoader) >= 5.660.200
BuildRequires: perl(Compress::Zlib) >= 1.300.0
BuildRequires: perl(Digest::SHA) >= 5.450.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Temp) >= 0.50.0
BuildRequires: perl(PAR::Dist) >= 0.320.0
BuildRequires: perl(Test::More)
BuildRequires: perl-devel
%description
PAR is a toolkit to use perl scripts and modules stored inside compressed
.par files.

For bundling prerequisite modules of scripts into a PAR file (ala
PerlApp, Perl2exe, or 'perlcc that works'), see "perldoc pp".
For running ".par" files directly, see "perldoc parl".
To generate/execute self-contained perl scripts, see "perldoc par.pl".

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor < /dev/null
%make_build

%check
%make_build test

%install
%make_install

%files 
%doc AUTHORS Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/PAR
%{perl_vendorlib}/PAR.pm
%{_mandir}/*/*

%changelog
* Wed Mar 06 2024 tv <tv> 1.20.0-1.mga10
+ Revision: 2047941
- update to 1.020

* Fri Nov 03 2023 tv <tv> 1.19.0-1.mga10
+ Revision: 2003790
- update to 1.019

* Mon Oct 03 2022 tv <tv> 1.18.0-1.mga9
+ Revision: 1894255
- update to 1.018

* Mon Mar 21 2022 umeabot <umeabot> 1.17.0-2.mga9
+ Revision: 1813995
- Mageia 9 Mass Rebuild

* Thu Feb 25 2021 tv <tv> 1.17.0-1.mga9
+ Revision: 1690355
- update to 1.017

* Sat Feb 15 2020 umeabot <umeabot> 1.16.0-2.mga8
+ Revision: 1526800
- Mageia 8 Mass Rebuild

* Sat Jun 29 2019 tv <tv> 1.16.0-1.mga8
+ Revision: 1415961
- update to 1.016

* Thu Sep 20 2018 umeabot <umeabot> 1.15.0-2.mga7
+ Revision: 1285458
- Mageia 7 Mass Rebuild

* Tue Jul 25 2017 sander85 <sander85> 1.15.0-1.mga7
+ Revision: 1130442
- update to 1.015

* Sun Jun 19 2016 pterjan <pterjan> 1.10.0-4.mga6
+ Revision: 1031627
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 1.10.0-3.mga6
+ Revision: 971596
- Mageia 6 Mass Rebuild

* Fri Oct 16 2015 tv <tv> 1.10.0-2.mga6
+ Revision: 892096
- make it noarch thus fixing empty debuginfo

* Mon Jul 20 2015 sander85 <sander85> 1.10.0-1.mga6
+ Revision: 855775
- update to 1.010

* Tue Jul 07 2015 sander85 <sander85> 1.9.0-1.mga6
+ Revision: 852558
- update to 1.009

* Wed Oct 15 2014 umeabot <umeabot> 1.7.0-6.mga5
+ Revision: 740737
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.7.0-5.mga5
+ Revision: 685796
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.7.0-4.mga4
+ Revision: 525253
- Mageia 4 Mass Rebuild

* Wed May 29 2013 tv <tv> 1.7.0-3.mga4
+ Revision: 432726
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 1.7.0-2.mga3
+ Revision: 371157
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 1.7.0-1.mga3
+ Revision: 315807
- update to 1.007

* Mon Oct 15 2012 jquelin <jquelin> 1.6.0-1.mga3
+ Revision: 306187
- update to 1.006

* Thu Dec 08 2011 kharec <kharec> 1.5.0-1.mga2
+ Revision: 179243
- update to 1.005

* Sun Jan 23 2011 jquelin <jquelin> 1.2.0-1.mga1
+ Revision: 34061
- mageia rebuild
- imported package perl-PAR

